HttpException コンストラクター

定義

HttpException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class.

オーバーロード

HttpException()

HttpException クラスの新しいインスタンスを初期化し、空の HttpException オブジェクトを作成します。Initializes a new instance of the HttpException class and creates an empty HttpException object.

HttpException(String)

指定したエラー メッセージを使用して、HttpException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using a supplied error message.

HttpException(Int32, String)

HTTP 応答ステータス コードとエラー メッセージを使用して、HttpException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using an HTTP response status code and an error message.

HttpException(SerializationInfo, StreamingContext)

シリアル化したデータを使用して、HttpException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class with serialized data.

HttpException(String, Exception)

エラー メッセージと HttpException プロパティを使用して、InnerException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using an error message and the InnerException property.

HttpException(String, Int32)

エラー メッセージと例外コードを使用して、HttpException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using an error message and an exception code.

HttpException(Int32, String, Exception)

HTTP 応答ステータス コード、エラー メッセージ、および HttpException プロパティを使用して、InnerException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using an HTTP response status code, an error message, and the InnerException property.

HttpException(Int32, String, Int32)

HTTP 応答ステータス コード、エラー メッセージ、および例外コードを使用して、HttpException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using an HTTP response status code, an error message, and an exception code.

HttpException()

HttpException クラスの新しいインスタンスを初期化し、空の HttpException オブジェクトを作成します。Initializes a new instance of the HttpException class and creates an empty HttpException object.

public:
 HttpException();
public HttpException ();
Public Sub New ()

次のコード例は、 HttpException クラスのコンストラクターを示して HttpException います。The following code example demonstrates the HttpException constructor of the HttpException class. メソッドは、 CheckNumber テキストボックスを使用してユーザーが入力した値を受け取り、それが整数かどうかをチェックします。The CheckNumber method accepts a user-entered value through a text box and checks whether it is an integer. 値が整数でない場合は、例外がスローされ、新しい HttpException オブジェクトが作成されてスローされます。If the value is not an integer, an exception is thrown, and then a new HttpException object is created and thrown. この例外はイベントハンドラーでキャッチされ、 Button_Click エラーメッセージがブラウザーに表示されます。That exception is caught in the Button_Click event handler and the error message is displayed on the browser.

重要

この例には、ユーザー入力を受け付けるテキスト ボックスがあります。これにより、セキュリティが脆弱になる可能性があります。This example has a text box that accepts user input, which is a potential security threat. 既定では、ASP.NET Web ページによって、ユーザー入力にスクリプトまたは HTML 要素が含まれていないかどうかが検証されます。By default, ASP.NET Web pages validate that user input does not include script or HTML elements. 詳細については、「スクリプトによる攻略の概要」を参照してください。For more information, see Script Exploits Overview.


<html xmlns="http://www.w3.org/1999/xhtml" >
   <head>
    <title>
            Example for HttpException
         </title>
<script language="C#" runat="server">
         void CheckNumber()
         {
            try
            {
               // Check whether the value is an integer.
               String convertInt = textbox1.Text;
               Convert.ToInt32(convertInt);
            }
            catch(Exception e)
            {
               // Throw a 'HttpException' object.
               throw new HttpException();
            }
         }
      
         void Button_Click(Object sender, EventArgs e)
         {
            try
            {
               CheckNumber();
               label1.Text = "The integer value you entered is: "+textbox1.Text;
            }
            catch(HttpException exp)
            {
               label1.Text = "<font color='red'>An HttpException was raised!:"
                  + " The value entered in the textbox is not an integer.</font>";
            }
         }

         void page_load(object sender,EventArgs e)
         {
            label1.Text="";
         }
      </script>
   </head>
   
   <body>
      <center>
         <h3>
            Example for HttpException
         </h3>
      </center>
      
      <form id="WebForm9" method="post" runat="server">
         <center>
         <br />
         <b>Enter a value in the text box.</b>
         <br />
         <asp:TextBox Runat="server" ID="textbox1"></asp:TextBox>
         <br />
         <asp:Button Text="Click Here" OnClick="Button_Click" Runat="server"></asp:Button>
         <br />
         <b><asp:Label Runat="server" ID="label1"></asp:Label></b>
         </center>
      </form>
   </body>
</html>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
   <head>
    <title>Example for HttpException</title>
<script language="VB" runat="server">
         Sub CheckNumber()
            Try
               ' Check whether the value is an integer.
               Dim convertInt As [String] = textbox1.Text
               Convert.ToInt32(convertInt)
            Catch e As Exception
               ' Throw the 'HttpException' object.
               Throw New HttpException()
            End Try
         End Sub 'CheckNumber
 
         Sub Button_Click(sender As [Object], e As EventArgs)
            Try
               CheckNumber()
               label1.Text = "The integer value you entered is: " + textbox1.Text
            Catch exp As HttpException
               label1.Text = "<font color='red'>An HttpException was raised!:" _
                  & " The value entered in the textbox is not an integer</font>"
            End Try
         End Sub 'Button_Click
       
         Sub Page_Load(sender As [Object], e As EventArgs)
            label1.Text=""
         End Sub
      </script>
   </head>

   <body>
      <center>
         <h3>Example for HttpException</h3>
      </center>
      <form id="WebForm9" method="post" runat="server">
         <center>
            <b>Enter a value in the text box.</b>
            <asp:TextBox Runat="server" ID="textbox1"></asp:TextBox>
            <br />
            <asp:Button Text="Click Here" OnClick="Button_Click" Runat="server"></asp:Button>
            <br />
            <b><asp:Label Runat="server" ID="label1"></asp:Label></b>
         </center>
      </form>
   </body>
</html>

注釈

例外を処理する場合は、内部例外への応答としてスローされる外側の例外を使用して、一連の関連する例外をキャプチャすると便利です。When handling exceptions, it can be useful to capture a series of related exceptions with the outer exception being thrown in response to an inner exception.

外側の例外の原因となった内部例外への参照は、 InnerException 外側の例外のプロパティから取得できます。A reference to the inner exception that caused the outer exception is available from the InnerException property of the outer exception. このメカニズムでは、元の例外を含む、以前の例外によって発生したエラー情報を保持しながら、より意味のある外部例外を作成することができます。This mechanism preserves the error information that is carried by earlier exceptions, including the original exceptions, while allowing you to create more meaningful outer exceptions. 詳細については、 InnerException を参照してください。For more information, see InnerException.

こちらもご覧ください

HttpException(String)

指定したエラー メッセージを使用して、HttpException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using a supplied error message.

public:
 HttpException(System::String ^ message);
public HttpException (string message);
new System.Web.HttpException : string -> System.Web.HttpException
Public Sub New (message As String)

パラメーター

message
String

例外がスローされたときに、クライアントに表示するエラー メッセージ。The error message displayed to the client when the exception is thrown.

次のコード例は、 HttpException クラスのコンストラクターを示して HttpException います。The following code example demonstrates the HttpException constructor of the HttpException class. ユーザーが入力した HttpException 値が0の場合は、がスローされます。An HttpException is thrown if a user-entered value is 0.

重要

この例には、ユーザー入力を受け付けるテキスト ボックスがあります。これにより、セキュリティが脆弱になる可能性があります。This example has a text box that accepts user input, which is a potential security threat. 既定では、ASP.NET Web ページによって、ユーザー入力にスクリプトまたは HTML 要素が含まれていないかどうかが検証されます。By default, ASP.NET Web pages validate that user input does not include script or HTML elements. 詳細については、「スクリプトによる攻略の概要」を参照してください。For more information, see Script Exploits Overview.

if (Num == 0)
{
   throw new HttpException("No value entered");
}

If Num = 0 Then
   Throw New HttpException("No value entered")
end if
   

こちらもご覧ください

HttpException(Int32, String)

HTTP 応答ステータス コードとエラー メッセージを使用して、HttpException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using an HTTP response status code and an error message.

public:
 HttpException(int httpCode, System::String ^ message);
public HttpException (int httpCode, string message);
new System.Web.HttpException : int * string -> System.Web.HttpException
Public Sub New (httpCode As Integer, message As String)

パラメーター

httpCode
Int32

エラーに対応するクライアントに送信された HTTP 応答ステータス コード。The HTTP response status code sent to the client corresponding to this error.

message
String

例外がスローされたときに、クライアントに表示するエラー メッセージ。The error message displayed to the client when the exception is thrown.

こちらもご覧ください

HttpException(SerializationInfo, StreamingContext)

シリアル化したデータを使用して、HttpException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class with serialized data.

protected:
 HttpException(System::Runtime::Serialization::SerializationInfo ^ info, System::Runtime::Serialization::StreamingContext context);
protected HttpException (System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context);
new System.Web.HttpException : System.Runtime.Serialization.SerializationInfo * System.Runtime.Serialization.StreamingContext -> System.Web.HttpException
Protected Sub New (info As SerializationInfo, context As StreamingContext)

パラメーター

info
SerializationInfo

スローされている例外に関するシリアル化済みオブジェクト データを保持している SerializationInfoThe SerializationInfo that holds the serialized object data about the exception being thrown.

context
StreamingContext

転送元または転送先に関するコンテキスト情報を保持している StreamingContextThe StreamingContext that holds the contextual information about the source or destination.

注釈

この HttpException コンストラクターは、逆シリアル化中に、ストリームで送信される例外オブジェクトを再構築するために呼び出されます。The HttpException constructor is called during deserialization to reconstitute the exception object that is transmitted over a stream. 詳細については、「 XML および SOAP シリアル化」を参照してください。For more information, see XML and SOAP Serialization.

こちらもご覧ください

HttpException(String, Exception)

エラー メッセージと HttpException プロパティを使用して、InnerException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using an error message and the InnerException property.

public:
 HttpException(System::String ^ message, Exception ^ innerException);
public HttpException (string message, Exception innerException);
new System.Web.HttpException : string * Exception -> System.Web.HttpException
Public Sub New (message As String, innerException As Exception)

パラメーター

message
String

例外がスローされたときに、クライアントに表示するエラー メッセージ。The error message displayed to the client when the exception is thrown.

innerException
Exception

現在の例外をスローした InnerException (存在する場合)。The InnerException, if any, that threw the current exception.

次のコード例は、 HttpException クラスのコンストラクターを示して HttpException います。The following code example demonstrates the HttpException constructor of the HttpException class. メソッドは、 CheckNumber テキストボックスを使用してユーザーが入力した値を受け取り、それが整数かどうかをチェックします。The CheckNumber method accepts a user-entered value through a text box and checks whether it is an integer. 値が整数でない場合は、例外がスローされ、その後 catch ブロックで、新しい HttpException オブジェクトが作成されてスローされます。If the value is not an integer, an exception is thrown, and then in the catch block, a new HttpException object is created and thrown. この例外はイベントハンドラーでキャッチされ、 Button_Click エラーメッセージがブラウザーに表示されます。That exception is caught in the Button_Click event handler and the error message is displayed on the browser.

重要

この例には、ユーザー入力を受け付けるテキスト ボックスがあります。これにより、セキュリティが脆弱になる可能性があります。This example has a text box that accepts user input, which is a potential security threat. 既定では、ASP.NET Web ページによって、ユーザー入力にスクリプトまたは HTML 要素が含まれていないかどうかが検証されます。By default, ASP.NET Web pages validate that user input does not include script or HTML elements. 詳細については、「スクリプトによる攻略の概要」を参照してください。For more information, see Script Exploits Overview.


<html xmlns="http://www.w3.org/1999/xhtml" >
   <head>
    <title>Example for HttpException</title>
<script language="C#" runat="server">    
         void CheckNumber()
         {
            try
            {
               // Check whether the value is an integer.
               String convertInt= textbox1.Text;
               Convert.ToInt32(convertInt);
            }
            catch(Exception e)
            {
               // Throw an HttpException object with a message.
               throw new HttpException("THe value entered in the text box is not a integer", e);
            }
         }
      
         void Button_Click(Object sender, EventArgs e)
         {
            try
            {
               CheckNumber();
               label1.Text = "The integer value you entered is: " + textbox1.Text;
            }
            catch(HttpException exp)
            {
               // Display the exception thrown.
               label1.Text = "<font color='red'>An HttpException was raised: " + exp.Message + "</font>";
               Exception myInnerException = exp.InnerException;
               label2.Text = "InnerException is : " + myInnerException.GetType();
            }
         }

         void page_load(Object sender,EventArgs e)
         {
            label1.Text="";
            label2.Text="";
         }
      </script>
   </head>

   <body>
      <center>
         <h3>Example for HttpException</h3>
      </center>
      <form id="Form1" method="post" runat="server">
         <center>
            <b>Enter the value in the text box </b>
            <br />
            <asp:TextBox Runat="server" ID="textbox1"></asp:TextBox>
            <br />
            <asp:Button Text="Click Here" OnClick="Button_Click" Runat="server" ID="Button1"></asp:Button>
            <br />
            <b>
               <asp:Label Runat="server" ID="label1"></asp:Label>
               <br />
               <asp:Label Runat="server" ID="label2"></asp:Label>
            </b>
         </center>
      </form>
   </body>
</html>


<html xmlns="http://www.w3.org/1999/xhtml" >
   <head>
    <title>Example for HttpException</title>
<script language="VB" runat="server">  
         Sub CheckNumber()
            Try
               ' Check whether the value is an integer.
               Dim convertInt As [String] = textbox1.Text
               Convert.ToInt32(convertInt)
            Catch e As Exception
               ' Throw an HttpException object with a message.
               Throw New HttpException("The value entered in the textbox is not a integer", e)
            End Try
         End Sub 'CheckNumber
       
         Sub Button_Click(sender As [Object], e As EventArgs)
            Try
               CheckNumber()
               label1.Text = "The integer value you entered is: " + textbox1.Text
            Catch exp As HttpException
               ' Display the exception thrown.
               label1.Text = "<font color='red'>An HttpException was raised!: " + exp.Message + "</font>"
               Dim myInnerException As Exception = exp.InnerException
               label2.Text = "InnerException is : " + myInnerException.GetType().ToString()
            End Try
         End Sub 'Button_Click
       
         Sub page_load(sender As [Object], e As EventArgs)
            label1.Text=""
            label2.Text="" 
         End Sub
      </script>
   </head>

   <body>
      <center>
      <h3>Example for HttpException</h3>
      <form id="WebForm9" method="post" runat="server">
         <b>Enter the value in the text box </b>
         <asp:TextBox Runat="server" ID="textbox1"></asp:TextBox>
         <br />
         <asp:Button Text="Click Here" OnClick="Button_Click" Runat="server" ID="Button1"></asp:Button>
         <br />
         <b>
         <asp:Label Runat="server" ID="label1"></asp:Label>
         <br />
         <asp:Label Runat="server" ID="label2"></asp:Label>
         </b>
      </form>
      </center>
   </body>
</html>

注釈

例外を処理する場合は、内部例外への応答としてスローされる外側の例外を使用して、一連の関連する例外をキャプチャすると便利です。When handling exceptions, it can be useful to capture a series of related exceptions with the outer exception being thrown in response to an inner exception.

外側の例外の原因となった内部例外への参照は、 InnerException 外側の例外のプロパティから取得できます。A reference to the inner exception that caused the outer exception is available from the InnerException property of the outer exception. このメカニズムでは、元の例外を含む、以前の例外によって発生したエラー情報を保持しながら、より意味のある外部例外を作成することができます。This mechanism preserves the error information that is carried by earlier exceptions, including the original exceptions, while allowing you to create more meaningful outer exceptions. 詳細については、 InnerException を参照してください。For more information, see InnerException.

こちらもご覧ください

HttpException(String, Int32)

エラー メッセージと例外コードを使用して、HttpException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using an error message and an exception code.

public:
 HttpException(System::String ^ message, int hr);
public HttpException (string message, int hr);
new System.Web.HttpException : string * int -> System.Web.HttpException
Public Sub New (message As String, hr As Integer)

パラメーター

message
String

例外がスローされたときに、クライアントに表示するエラー メッセージ。The error message displayed to the client when the exception is thrown.

hr
Int32

エラーを定義する例外コード。The exception code that defines the error.

次のコード例は、 HttpException クラスのコンストラクターを示して HttpException います。The following code example demonstrates the HttpException constructor of the HttpException class. HttpExceptionユーザーが入力した値が0の場合、例外がスローされます。An HttpException exception is thrown if a user-entered value is 0.

重要

この例には、ユーザー入力を受け付けるテキスト ボックスがあります。これにより、セキュリティが脆弱になる可能性があります。This example has a text box that accepts user input, which is a potential security threat. 既定では、ASP.NET Web ページによって、ユーザー入力にスクリプトまたは HTML 要素が含まれていないかどうかが検証されます。By default, ASP.NET Web pages validate that user input does not include script or HTML elements. 詳細については、「スクリプトによる攻略の概要」を参照してください。For more information, see Script Exploits Overview.

if (Num == 0)
{
   throw new HttpException("No value entered", 100);
}

If Num = 0 Then
   Throw New HttpException("No value entered", 100)
end if
   

こちらもご覧ください

HttpException(Int32, String, Exception)

HTTP 応答ステータス コード、エラー メッセージ、および HttpException プロパティを使用して、InnerException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using an HTTP response status code, an error message, and the InnerException property.

public:
 HttpException(int httpCode, System::String ^ message, Exception ^ innerException);
public HttpException (int httpCode, string message, Exception innerException);
new System.Web.HttpException : int * string * Exception -> System.Web.HttpException
Public Sub New (httpCode As Integer, message As String, innerException As Exception)

パラメーター

httpCode
Int32

クライアントに表示する HTTP 応答ステータス コード。The HTTP response status code displayed on the client.

message
String

例外がスローされたときに、クライアントに表示するエラー メッセージ。The error message displayed to the client when the exception is thrown.

innerException
Exception

現在の例外をスローした InnerException (存在する場合)。The InnerException, if any, that threw the current exception.

次のコード例は、 HttpException クラスのコンストラクターを示して HttpException います。The following code example demonstrates the HttpException constructor of the HttpException class. メソッドは、 CheckNumber ユーザーが入力した値を受け取り、整数かどうかを確認します。The CheckNumber method accepts a user-entered value and checks whether it is an integer. 値が整数でない場合は、例外がスローされます。その後、 HttpException HTTP 応答ステータスコード、例外のメッセージ、および内部例外を含む新しいオブジェクトが作成されます。If the value is not an integer, an exception is thrown, and then a new HttpException object containing the HTTP response status code, the exception's message, and any inner exception is created. この例外はイベントハンドラーでキャッチされ、 Button_Click エラーメッセージ、エラーコード、および内部例外が表示されます。That exception is caught in the Button_Click event handler and the error message, error code, and inner exception are displayed.

重要

この例には、ユーザー入力を受け付けるテキスト ボックスがあります。これにより、セキュリティが脆弱になる可能性があります。This example has a text box that accepts user input, which is a potential security threat. 既定では、ASP.NET Web ページによって、ユーザー入力にスクリプトまたは HTML 要素が含まれていないかどうかが検証されます。By default, ASP.NET Web pages validate that user input does not include script or HTML elements. 詳細については、「スクリプトによる攻略の概要」を参照してください。For more information, see Script Exploits Overview.


<%@ Import Namespace="System.Drawing" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
   <head>
    <title>Example for HttpException</title>
<script language="C#" runat="server">
         void CheckNumber()
         {
            try
            {
               // Check whether the value is an integer.
               String convertInt = textbox1.Text;
               Convert.ToInt32(convertInt);
            }
            catch(Exception ex)
            {
               // Throw an HttpException object that contains the HTTP error code,
               // message, and inner exception.
               throw new HttpException(500, "The entered value is not an integer.", ex);
            }
         }
         
         void Button_Click(Object sender, EventArgs e)
         {
            try
            {
               CheckNumber();
               label1.Text = "The integer value you entered is: " + textbox1.Text;
            }
            catch(HttpException exp)
            {
               // Display the exception thrown.
               label1.ForeColor = Color.Red;
               label1.Text = "An HttpException was raised!: " + exp.Message;
               Exception myInnerException = exp.InnerException;
               
               // Display the inner exception.
               label2.Text = "The InnerException is : " + myInnerException.GetType();
                
            }
         }
     
         void page_load(Object sender,EventArgs e)
         {
           label1.Text="";
           label2.Text="";
         }

      </script>
   </head>

   <body>
      <center>
         <h3>Example for HttpException</h3>
         <form id="WebForm9" method="post" runat="server">
            <b>Enter the value in the text box </b>
            <br />
            <asp:TextBox Runat="server" ID="textbox1"></asp:TextBox>
            <br />
            <asp:Button Text="Click Here" OnClick="Button_Click" Runat="server" ID="Button1"></asp:Button>
            <br />
            <b>
               <asp:Label Runat="server" ID="label1"></asp:Label>
               <br />
               <asp:Label Runat="server" ID="label2"></asp:Label>
            </b>
         </form>
      </center>
   </body>
</html>

<%@ Import Namespace="System.Drawing" %>
<html xmlns="http://www.w3.org/1999/xhtml" >
   <head>
    <title>Example for HttpException</title>
<script language="VB" runat="server">
         Sub CheckNumber()
            Try
               'Check whether the value is integer.
               Dim convertInt As [String] = textbox1.Text
               Convert.ToInt32(convertInt)
            Catch ex As Exception
               ' Throw an HttpException object that contains the HTTP error code,
               ' message, and inner exception.
               Throw New HttpException(500, "The entered value is not an integer.", ex)
            End Try
         End Sub
 
         Sub Button_Click(sender As [Object], e As EventArgs)
            Try
               CheckNumber()
               label1.Text = "The integer Value you entered is: " & textbox1.Text

            Catch exp As HttpException
               ' Display the Exception thrown.
               label1.ForeColor = Color.Red
               label1.Text = "An HttpException was raised: " & exp.Message

               Dim myInnerException As Exception = exp.InnerException

               ' Display the inner exception.
               label2.Text = "InnerException is : " & myInnerException.GetType().ToString()
                
            End Try
         End Sub 

         Sub page_load(sender As [Object], e As EventArgs)
            label1.Text = ""
            label2.Text = ""
         End Sub 
      </script>
   </head>

   <body>
      <center>
         <h3>Example for HttpException</h3>
         <form id="WebForm9" method="post" runat="server">
            <b>Enter the value in the text box.</b>
            <asp:TextBox Runat="server" ID="textbox1"></asp:TextBox>
            <br />
            <asp:Button Text="Click Here" OnClick="Button_Click" Runat="server" ID="Button1"></asp:Button>
            <br />
            <b>
            <asp:Label Runat="server" ID="label1"></asp:Label>
            <br />
            <asp:Label Runat="server" ID="label2"></asp:Label>
            </b>
         </form>
      </center>
   </body>
</html>

注釈

例外を処理する場合は、内部例外への応答としてスローされる外側の例外を使用して、一連の関連する例外をキャプチャすると便利です。When handling exceptions, it can be useful to capture a series of related exceptions with the outer exception being thrown in response to an inner exception.

外側の例外の原因となった内部例外への参照は、 InnerException 外側の例外のプロパティから取得できます。A reference to the inner exception that caused the outer exception is available from the InnerException property of the outer exception. このメカニズムでは、元の例外を含む、以前の例外によって発生したエラー情報を保持しながら、より意味のある外部例外を作成することができます。This mechanism preserves the error information that is carried by earlier exceptions, including the original exceptions, while allowing you to create more meaningful outer exceptions. 詳細については、 InnerException を参照してください。For more information, see InnerException.

こちらもご覧ください

HttpException(Int32, String, Int32)

HTTP 応答ステータス コード、エラー メッセージ、および例外コードを使用して、HttpException クラスの新しいインスタンスを初期化します。Initializes a new instance of the HttpException class using an HTTP response status code, an error message, and an exception code.

public:
 HttpException(int httpCode, System::String ^ message, int hr);
public HttpException (int httpCode, string message, int hr);
new System.Web.HttpException : int * string * int -> System.Web.HttpException
Public Sub New (httpCode As Integer, message As String, hr As Integer)

パラメーター

httpCode
Int32

クライアントに表示する HTTP 応答ステータス コード。The HTTP response status code displayed on the client.

message
String

例外がスローされたときに、クライアントに表示するエラー メッセージ。The error message displayed to the client when the exception is thrown.

hr
Int32

エラーを定義する例外コード。The exception code that defines the error.

次のコード例は、 HttpException クラスのコンストラクターを示して HttpException います。The following code example demonstrates the HttpException constructor of the HttpException class. ユーザー名と電子メール情報は、ユーザーが指定したテキストボックスに入力します。The user name and email information are entered by the user in the provided text boxes. いずれかのテキストボックスが空白のままになっている場合は、 HttpException オブジェクトが作成され、スローされます。If any of the text boxes are left blank, an HttpException object is created and thrown. のエラーコードは、 HttpException メソッドによって取得され、 GetHttpCode Web ページに表示されます。The error code of the HttpException is obtained by the GetHttpCode method and displayed on the Web page.

重要

この例には、ユーザー入力を受け付けるテキスト ボックスがあります。これにより、セキュリティが脆弱になる可能性があります。This example has a text box that accepts user input, which is a potential security threat. 既定では、ASP.NET Web ページによって、ユーザー入力にスクリプトまたは HTML 要素が含まれていないかどうかが検証されます。By default, ASP.NET Web pages validate that user input does not include script or HTML elements. 詳細については、「スクリプトによる攻略の概要」を参照してください。For more information, see Script Exploits Overview.


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
   <head>
    <title>HttpException Example</title>
<script language="C#" runat="server">
         void SubmitButton_Click(Object sender, EventArgs e)
         {
            try
            {
               if(Textbox1.Text.Length==0 || Textbox2.Text.Length==0)
               {
                  // Raise an Exception if the username or the emailfield field is empty.
                  throw new HttpException(901,"User name or email ID not provided.",333);
               }
               else
               {
                  MyLabel.Text="Hello "+Textbox1.Text+"<br />";
                  MyLabel.Text+="The Weekly newsletter is mailed to :"+
                           Textbox2.Text+"<br />";
               }
            }
            catch(HttpException ex)
            { 
               // Display the error code returned by the GetHttpCode method.
               MyLabel.Text="<h4><font color=\"red\">The exception is "+
                  ex.GetHttpCode() +" - "+ ex.Message + "</font></h4>";
            }
         }

         void Page_Load(object sender,EventArgs e)
         {
            MyLabel.Text="";
         }
      </script>
   </head>

   <body>
      <form runat="server" id="Form1">
         <h3>HttpException Example</h3>
         Enter UserName and Email
         <br /><br />
         UserName :
         <asp:TextBox ID="Textbox1" Runat="server"></asp:TextBox>
         <br />
         Email ID :
         <asp:TextBox ID="Textbox2" Runat="server"></asp:TextBox>
         <asp:Button ID="Button1" Text="Submit" OnClick="SubmitButton_Click" runat="server" />
         <br />
         <asp:label id="MyLabel" runat="server" />
      </form>
   </body>
</html>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
   <head>
    <title>HttpException Example</title>
<script language="VB" runat="server">
         Sub SubmitButton_Click(sender As Object, e As EventArgs)
            Try
               If Textbox1.Text.Length = 0 Or Textbox2.Text.Length = 0 Then
                  ' Raise an Exception if the username or emailid field is empty.
                  Throw New HttpException(901, "User name or email ID not provided", 333)
               Else
                  MyLabel.Text = "Hello " & Textbox1.Text & "<br />"
                  MyLabel.Text += "The Weekly newsletter is mailed to :" & Textbox2.Text & "<br />"
               End If
            Catch ex As HttpException
               ' Display the error code returned by the GetHttpCode method.
            MyLabel.Text = "<h4><font color=""red"">The exception is " & ex.GetHttpCode() & _
               " - " & ex.Message & "</font></h4>"
            End Try
         End Sub

         Sub Page_Load(sender As Object, e As EventArgs)
            MyLabel.Text = ""
         End Sub
      </script>
   </head>

   <body>
      <form runat="server" id="Form1">
         <h3>HttpException Example</h3>
         Enter User name and Email
         <br /><br />
         User Name:
         <asp:TextBox ID="Textbox1" Runat="server"></asp:TextBox>
         <br />
         Email ID:
         <asp:TextBox ID="Textbox2" Runat="server"></asp:TextBox>
         <asp:Button ID="Button1" Text="Submit" OnClick="SubmitButton_Click" runat="server"/>
         <br />
         <asp:label id="MyLabel" runat="server"/>
      </form>
   </body>
</html>

こちらもご覧ください

適用対象